Index: TXM/trunk/org.txm.rcp.updatesite/category.xml
===================================================================
--- TXM/trunk/org.txm.rcp.updatesite/category.xml	(revision 0)
+++ TXM/trunk/org.txm.rcp.updatesite/category.xml	(revision 3618)
@@ -0,0 +1,127 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<site>
+   <feature id="org.txm.ahc.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.annotation.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.annotation.kr.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.annotation.urs.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.backtomedia.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.ca.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.chartsengine.jfreechart.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.chartsengine.r.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.concordance.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.conllu.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.cooccurrence.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.core.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.cql2lsa.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.dictionary.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.edition.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.groovy.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.index.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.internalview.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.lexicaltable.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.oriflamms.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.partition.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.perl.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.progression.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.properties.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.python.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.rcp.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.referencer.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.ruby.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.searchengine.cqp.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.specificities.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.statsengine.r.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.svn.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.textsbalance.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.translate.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treesearch.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treetagger.binaries.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treetagger.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treetagger.models.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.udpipe.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.wordcloud.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.xmleditor.feature">
+      <category name="TXM"/>
+   </feature>
+   <category-def name="TXM" label="TXM"/>
+</site>
Index: TXM/trunk/org.txm.rcp.updatesite/web/site.xsl
===================================================================
--- TXM/trunk/org.txm.rcp.updatesite/web/site.xsl	(revision 0)
+++ TXM/trunk/org.txm.rcp.updatesite/web/site.xsl	(revision 3618)
@@ -0,0 +1,214 @@
+<xsl:stylesheet version = '1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:msxsl="urn:schemas-microsoft-com:xslt">
+<xsl:output method="html" encoding="UTF-8"/>
+<xsl:key name="cat" match="category" use="@name"/>
+<xsl:template match="/">
+<xsl:for-each select="site">
+	<html>
+	<head>
+	<title>org.txm.rcp.updatesite</title>
+	<style>@import url("web/site.css");</style>
+	</head>
+	<body>
+	<h1 class="title">org.txm.rcp.updatesite</h1>
+	<p class="bodyText"><xsl:value-of select="description"/></p>
+	<table width="100%" border="0" cellspacing="1" cellpadding="2">
+	<xsl:for-each select="category-def">
+		<xsl:sort select="@label" order="ascending" case-order="upper-first"/>
+		<xsl:sort select="@name" order="ascending" case-order="upper-first"/>
+	<xsl:if test="count(key('cat',@name)) != 0">
+			<tr class="header">
+				<td class="sub-header" width="30%">
+					<xsl:value-of select="@name"/>
+				</td>
+				<td class="sub-header" width="70%">
+					<xsl:value-of select="@label"/>
+				</td>
+			</tr>
+			<xsl:for-each select="key('cat',@name)">
+			<xsl:sort select="ancestor::feature//@version" order="ascending"/>
+			<xsl:sort select="ancestor::feature//@id" order="ascending" case-order="upper-first"/>
+			<tr>
+				<xsl:choose>
+				<xsl:when test="(position() mod 2 = 1)">
+					<xsl:attribute name="class">dark-row</xsl:attribute>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:attribute name="class">light-row</xsl:attribute>
+				</xsl:otherwise>
+				</xsl:choose>
+				<td class="log-text" id="indent">
+						<xsl:choose>
+						<xsl:when test="ancestor::feature//@label">
+							<a href="{ancestor::feature//@url}"><xsl:value-of select="ancestor::feature//@label"/></a>
+							<br/>
+							<div id="indent">
+							(<xsl:value-of select="ancestor::feature//@id"/> - <xsl:value-of select="ancestor::feature//@version"/>)
+							</div>
+						</xsl:when>
+						<xsl:otherwise>
+						<a href="{ancestor::feature//@url}"><xsl:value-of select="ancestor::feature//@id"/> - <xsl:value-of select="ancestor::feature//@version"/></a>
+						</xsl:otherwise>
+						</xsl:choose>
+						<br />
+				</td>
+				<td>
+					<table>
+						<xsl:if test="ancestor::feature//@os">
+							<tr><td class="log-text" id="indent">Operating Systems:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@os"/></td>
+							</tr>
+						</xsl:if>
+						<xsl:if test="ancestor::feature//@ws">
+							<tr><td class="log-text" id="indent">Windows Systems:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@ws"/></td>
+							</tr>
+						</xsl:if>
+						<xsl:if test="ancestor::feature//@nl">
+							<tr><td class="log-text" id="indent">Languages:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@nl"/></td>
+							</tr>
+						</xsl:if>
+						<xsl:if test="ancestor::feature//@arch">
+							<tr><td class="log-text" id="indent">Architecture:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@arch"/></td>
+							</tr>
+						</xsl:if>
+					</table>
+				</td>
+			</tr>
+			</xsl:for-each>
+			<tr><td class="spacer"><br/></td><td class="spacer"><br/></td></tr>
+		</xsl:if>
+	</xsl:for-each>
+	<xsl:if test="count(feature)  &gt; count(feature/category)">
+	<tr class="header">
+		<td class="sub-header" colspan="2">
+		Uncategorized
+		</td>
+	</tr>
+	</xsl:if>
+	<xsl:choose>
+	<xsl:when test="function-available('msxsl:node-set')">
+	   <xsl:variable name="rtf-nodes">
+		<xsl:for-each select="feature[not(category)]">
+			<xsl:sort select="@id" order="ascending" case-order="upper-first"/>
+			<xsl:sort select="@version" order="ascending" />
+			<xsl:value-of select="."/>
+			<xsl:copy-of select="." />
+		</xsl:for-each>
+	   </xsl:variable>
+	   <xsl:variable name="myNodeSet" select="msxsl:node-set($rtf-nodes)/*"/>
+	<xsl:for-each select="$myNodeSet">
+	<tr>
+		<xsl:choose>
+		<xsl:when test="position() mod 2 = 1">
+		<xsl:attribute name="class">dark-row</xsl:attribute>
+		</xsl:when>
+		<xsl:otherwise>
+		<xsl:attribute name="class">light-row</xsl:attribute>
+		</xsl:otherwise>
+		</xsl:choose>
+		<td class="log-text" id="indent">
+			<xsl:choose>
+			<xsl:when test="@label">
+				<a href="{@url}"><xsl:value-of select="@label"/></a>
+				<br />
+				<div id="indent">
+				(<xsl:value-of select="@id"/> - <xsl:value-of select="@version"/>)
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<a href="{@url}"><xsl:value-of select="@id"/> - <xsl:value-of select="@version"/></a>
+			</xsl:otherwise>
+			</xsl:choose>
+			<br /><br />
+		</td>
+		<td>
+			<table>
+				<xsl:if test="@os">
+					<tr><td class="log-text" id="indent">Operating Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@os"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@ws">
+					<tr><td class="log-text" id="indent">Windows Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@ws"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@nl">
+					<tr><td class="log-text" id="indent">Languages:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@nl"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@arch">
+					<tr><td class="log-text" id="indent">Architecture:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@arch"/></td>
+					</tr>
+				</xsl:if>
+			</table>
+		</td>
+	</tr>
+	</xsl:for-each>
+	</xsl:when>
+	<xsl:otherwise>
+	<xsl:for-each select="feature[not(category)]">
+	<xsl:sort select="@id" order="ascending" case-order="upper-first"/>
+	<xsl:sort select="@version" order="ascending" />
+	<tr>
+		<xsl:choose>
+		<xsl:when test="count(preceding-sibling::feature[not(category)]) mod 2 = 1">
+		<xsl:attribute name="class">dark-row</xsl:attribute>
+		</xsl:when>
+		<xsl:otherwise>
+		<xsl:attribute name="class">light-row</xsl:attribute>
+		</xsl:otherwise>
+		</xsl:choose>
+		<td class="log-text" id="indent">
+			<xsl:choose>
+			<xsl:when test="@label">
+				<a href="{@url}"><xsl:value-of select="@label"/></a>
+				<br />
+				<div id="indent">
+				(<xsl:value-of select="@id"/> - <xsl:value-of select="@version"/>)
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<a href="{@url}"><xsl:value-of select="@id"/> - <xsl:value-of select="@version"/></a>
+			</xsl:otherwise>
+			</xsl:choose>
+			<br /><br />
+		</td>
+		<td>
+			<table>
+				<xsl:if test="@os">
+					<tr><td class="log-text" id="indent">Operating Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@os"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@ws">
+					<tr><td class="log-text" id="indent">Windows Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@ws"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@nl">
+					<tr><td class="log-text" id="indent">Languages:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@nl"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@arch">
+					<tr><td class="log-text" id="indent">Architecture:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@arch"/></td>
+					</tr>
+				</xsl:if>
+			</table>
+		</td>
+	</tr>
+	</xsl:for-each>
+	</xsl:otherwise>
+	</xsl:choose>
+	</table>
+	</body>
+	</html>
+</xsl:for-each>
+</xsl:template>
+</xsl:stylesheet>
Index: TXM/trunk/org.txm.rcp.updatesite/web/site.css
===================================================================
--- TXM/trunk/org.txm.rcp.updatesite/web/site.css	(revision 0)
+++ TXM/trunk/org.txm.rcp.updatesite/web/site.css	(revision 3618)
@@ -0,0 +1,12 @@
+<STYLE type="text/css">
+td.spacer {padding-bottom: 10px; padding-top: 10px;}
+.title { font-family: sans-serif; color: #99AACC;}
+.bodyText { font-family: sans-serif; font-size: 9pt; color:#000000;  }
+.sub-header { font-family: sans-serif; font-style: normal; font-weight: bold; font-size: 9pt; color: white;}
+.log-text {font-family: sans-serif; font-style: normal; font-weight: lighter; font-size: 8pt; color:black;}
+.big-header { font-family: sans-serif; font-style: normal; font-weight: bold; font-size: 9pt; color: white; border-top:10px solid white;}
+.light-row {background:#FFFFFF}
+.dark-row {background:#EEEEFF}
+.header {background:#99AADD}
+#indent {word-wrap : break-word;width :300px;text-indent:10px;}
+</STYLE>
Index: TXM/trunk/org.txm.rcp.updatesite/.settings/org.eclipse.core.resources.prefs
===================================================================
--- TXM/trunk/org.txm.rcp.updatesite/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ TXM/trunk/org.txm.rcp.updatesite/.settings/org.eclipse.core.resources.prefs	(revision 3618)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
Index: TXM/trunk/org.txm.rcp.updatesite/.project
===================================================================
--- TXM/trunk/org.txm.rcp.updatesite/.project	(revision 0)
+++ TXM/trunk/org.txm.rcp.updatesite/.project	(revision 3618)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.rcp.updatesite</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.pde.UpdateSiteBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.UpdateSiteNature</nature>
+	</natures>
+</projectDescription>
Index: TXM/trunk/org.txm.rcp.updatesite/index.html
===================================================================
--- TXM/trunk/org.txm.rcp.updatesite/index.html	(revision 0)
+++ TXM/trunk/org.txm.rcp.updatesite/index.html	(revision 3618)
@@ -0,0 +1,60 @@
+<html>
+<head>
+<title>org.txm.rcp.updatesite</title>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<style>@import url("web/site.css");</style>
+<script type="text/javascript">
+	var returnval = 0;
+	var stylesheet, xmlFile, cache, doc;
+	function init(){
+		// NSCP 7.1+ / Mozilla 1.4.1+ / Safari
+		// Use the standard DOM Level 2 technique, if it is supported
+		if (document.implementation && document.implementation.createDocument) {
+			xmlFile = document.implementation.createDocument("", "", null);
+			stylesheet = document.implementation.createDocument("", "", null);
+			if (xmlFile.load){
+				xmlFile.load("site.xml");
+				stylesheet.load("web/site.xsl");
+			} else {
+				alert("Document could not be loaded by browser.");
+			}
+			xmlFile.addEventListener("load", transform, false);
+			stylesheet.addEventListener("load", transform, false);
+		}
+		//IE 6.0+ solution
+		else if (window.ActiveXObject) {
+			xmlFile = new ActiveXObject("msxml2.DOMDocument.3.0");
+			xmlFile.async = false;
+			xmlFile.load("site.xml");
+			stylesheet = new ActiveXObject("msxml2.FreeThreadedDOMDocument.3.0");
+			stylesheet.async = false;
+			stylesheet.load("web/site.xsl");
+			cache = new ActiveXObject("msxml2.XSLTemplate.3.0");
+			cache.stylesheet = stylesheet;
+			transformData();
+		}
+	}
+	// separate transformation function for IE 6.0+
+	function transformData(){
+		var processor = cache.createProcessor();
+		processor.input = xmlFile;
+		processor.transform();
+		data.innerHTML = processor.output;
+	}
+	// separate transformation function for NSCP 7.1+ and Mozilla 1.4.1+ 
+	function transform(){
+		returnval+=1;
+		if (returnval==2){
+			var processor = new XSLTProcessor();
+			processor.importStylesheet(stylesheet); 
+			doc = processor.transformToDocument(xmlFile);
+			document.getElementById("data").innerHTML = doc.documentElement.innerHTML;
+		}
+	}
+</script>
+</head>
+<body onload="init();">
+<!--[insert static HTML here]-->
+<div id="data"><!-- this is where the transformed data goes --></div>
+</body>
+</html>
Index: TXM/trunk/org.txm.python.feature/build.properties
===================================================================
--- TXM/trunk/org.txm.python.feature/build.properties	(revision 0)
+++ TXM/trunk/org.txm.python.feature/build.properties	(revision 3618)
@@ -0,0 +1 @@
+bin.includes = feature.xml, build.properties
Index: TXM/trunk/org.txm.python.feature/feature.xml
===================================================================
--- TXM/trunk/org.txm.python.feature/feature.xml	(revision 0)
+++ TXM/trunk/org.txm.python.feature/feature.xml	(revision 3618)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+      id="org.txm.python.feature"
+      label="org.txm.python.feature"
+      version="1.0.0.qualifier"
+      license-feature="org.txm.core.feature"
+      license-feature-version="1.0.0.qualifier">
+
+   <description url="http://www.example.com/description">
+      Be able to run Python script from TXM File or Macro views
+   </description>
+
+   <copyright url="http://www.example.com/copyright">
+      [Enter Copyright Description here.]
+   </copyright>
+
+   <license url="http://www.example.com/license">
+      [Enter License Description here.]
+   </license>
+
+   <requires>
+      <import plugin="org.txm.core" version="0.8.0" match="greaterOrEqual"/>
+      <import plugin="org.txm.python.core" version="1.0.0" match="greaterOrEqual"/>
+      <import plugin="org.txm.rcp" version="0.8.2" match="greaterOrEqual"/>
+   </requires>
+
+   <plugin
+         id="org.txm.python.core"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
+   <plugin
+         id="org.txm.python.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
+</feature>
Index: TXM/trunk/org.txm.python.feature/.project
===================================================================
--- TXM/trunk/org.txm.python.feature/.project	(revision 0)
+++ TXM/trunk/org.txm.python.feature/.project	(revision 3618)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.python.feature</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.pde.FeatureBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.FeatureNature</nature>
+	</natures>
+</projectDescription>
Index: TXM/trunk/org.txm.rcp.product/rcpapplication.product
===================================================================
--- TXM/trunk/org.txm.rcp.product/rcpapplication.product	(revision 0)
+++ TXM/trunk/org.txm.rcp.product/rcpapplication.product	(revision 3618)
@@ -0,0 +1,499 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?pde version="3.5"?>
+
+<product name="TXM 0.8.2" uid="org.txm.rcp.app" id="org.txm.rcp.product" application="org.txm.rcp.Application" version="0.8.2.qualifier" useFeatures="true" includeLaunchers="true" autoIncludeRequirements="true">
+
+   <aboutInfo>
+      <image path="/org.txm.rcp/icons/logo/about TXM.png"/>
+      <text>
+         [Contrat d&apos;utilisation du logiciel TXM]
+
+TXM 0.8.2 Copyright © 2010-2021 ENS de Lyon, University of Franche-Comté, CNRS
+
+&lt;English version below&gt;
+
+EN ACCEPTANT CETTE INSTALLATION OU MISE À JOUR ET EN UTILISANT TXM, VOUS VOUS ENGAGEZ À CITER L&apos;ARTICLE DE RÉFÉRENCE DE LA PLATEFORME* DANS VOS PUBLICATIONS DE RÉSULTATS OBTENUS À PARTIR D&apos;ELLE. CELA EST ESSENTIEL POUR NOUS PERMETTRE DE JUSTIFIER LE BESOIN DE PÉRENNISATION DE CET INSTRUMENT DE TRAVAIL POUR LA COMMUNAUTÉ SCIENTIFIQUE.
+
+Le logiciel TXM est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier suivant les termes de la Licence publique générale GNU telle que publiée par la Free Software Foundation, soit la version 2 de cette License, soit une version ultérieure.
+
+Le logiciel TXM est distribué dans l&apos;espoir qu&apos;il sera utile, mais sans aucune garantie, y compris mais non de façon limitative les garanties implicites de qualité marchande et de convenance à un usage particulier. Consultez la version 2 et la version 3 de la Licence publique générale GNU pour plus de détails.
+
+Vous devriez avoir reçu une copie de la Licence publique générale GNU en accompagnement du logiciel TXM ; si ce n&apos;est pas le cas, veuillez consulter la page http://www.gnu.org/licenses/gpl-2.0.html
+_______________
+* Serge Heiden, Jean-Philippe Magué, Bénédicte Pincemin.
+TXM : Une plateforme logicielle open-source pour la textométrie - conception et développement. Sergio Bolasco, Isabella Chiari, Luca Giuliano. 10th International Conference on the Statistical Analysis of Textual Data - JADT 2010, Jun 2010, Rome, Italie.
+Edizioni Universitarie di Lettere Economia Diritto, 2 (3), pp.1021-1032, 2010. &lt;halshs-00549779&gt;
+
+
+ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH ENGLISH
+
+[TXM Software User Agreement]
+
+By accepting this update and by using TXM, you agree to cite the TXM platform reference article** in your publications of results obtained from it. That is essential for us to justify the need for sustainability of this instrument for the scientific community.
+
+The TXM platform is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.
+
+The TXM platform is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License along with the TXM platform. If not, see http://www.gnu.org/licenses/gpl-2.0.html
+_______________
+** Serge Heiden. The TXM Platform: Building Open-Source Textual
+Analysis Software Compatible with the TEI Encoding Scheme. Ryo Otoguro, Kiyoshi Ishikawa, Hiroshi Umemoto, Kei Yoshimoto and Yasunari Harada. 24th Pacific Asia Conference on Language, Information and Computation, Nov 2010, Sendai, Japan. Institute for Digital Enhancement of Cognitive Development, Waseda University, pp.389-398, 2010. &lt;halshs-00549764&gt;
+      </text>
+   </aboutInfo>
+
+   <configIni use="default">
+   </configIni>
+
+   <launcherArgs>
+      <vmArgs>-Xms512m -Xmx2048m
+-Dfile.encoding=UTF-8
+-Dorg.eclipse.ecf.provider.filetransfer.excludeContributors=org.eclipse.ecf.provider.filetransfer.httpclient4
+-Dorg.eclipse.ecf.provider.filetransfer.retrieve.connectTimeout=6000
+-Dorg.eclipse.ecf.provider.filetransfer.retrieve.retryAttempts=5
+      </vmArgs>
+      <vmArgsLin>-Dswing.defaultlaf=javax.swing.plaf.metal.MetalLookAndFeel
+      </vmArgsLin>
+      <vmArgsMac>-XstartOnFirstThread 
+-Dorg.eclipse.swt.internal.carbon.smallFonts
+      </vmArgsMac>
+      <vmArgsWin>-XX:MaxPermSize=256m
+      </vmArgsWin>
+   </launcherArgs>
+
+   <windowImages i16="../../bundles/org.txm.rcp/icons/logo/TXM logo 16x16.png" i32="../../bundles/org.txm.rcp/icons/logo/TXM_logo.png" i48="../../bundles/org.txm.rcp/icons/logo/TXM logo 48x48.png" i64="../../bundles/org.txm.rcp/icons/logo/TXM_logo_64x64.png" i128="../../bundles/org.txm.rcp/icons/logo/TXM logo 128x128.png" i256="../../bundles/org.txm.rcp/icons/logo/TXM logo 256x256.png"/>
+
+   <splash
+      location="org.txm.rcp"
+      startupProgressRect="13,332,290,15"
+      startupMessageRect="13,312,290,20"
+      startupForegroundColor="000000" />
+   <launcher name="launcher">
+      <linux icon="../../bundles/org.txm.rcp/icons/logo/TXM logo.xpm"/>
+      <macosx icon="../../bundles/org.txm.rcp/icons/logo/TXM logo.icns"/>
+      <win useIco="false">
+         <bmp
+            winSmallHigh="../../bundles/org.txm.rcp/icons/logo/TXM logo 16x16 32-bit.bmp"
+            winSmallLow="../../bundles/org.txm.rcp/icons/logo/TXM logo 16x16 8-bit.bmp"
+            winMediumHigh="../../bundles/org.txm.rcp/icons/logo/TXM logo 32x32 32-bit.bmp"
+            winMediumLow="../../bundles/org.txm.rcp/icons/logo/TXM logo 32x32 8-bit.bmp"
+            winLargeHigh="../../bundles/org.txm.rcp/icons/logo/TXM logo 48x48 32-bit.bmp"
+            winLargeLow="../../bundles/org.txm.rcp/icons/logo/TXM logo 48x48 8-bit.bmp"
+            winExtraLargeHigh="../../bundles/org.txm.rcp/icons/logo/TXM logo 256x256 32-bit.bmp"/>
+      </win>
+   </launcher>
+
+   <vm>
+      <linux include="true">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-16</linux>
+      <macos include="true">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8</macos>
+      <solaris include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</solaris>
+      <windows include="true">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8</windows>
+   </vm>
+
+   <license>
+        <text>
+   TXM Licence Utilisateur &lt;English version below&gt;
+
+1. En utilisant TXM, vous vous engagez à citer l&apos;article
+   de référence de la plateforme dans vos publications :
+
+   Serge Heiden. The TXM Platform: Building Open-Source
+   Textual Analysis Software Compatible with the TEI
+   Encoding Scheme. Ryo Otoguro, Kiyoshi Ishikawa,
+   Hiroshi Umemoto, Kei Yoshimoto and Yasunari Harada.
+   24th Pacific Asia Conference on Language, Information
+   and Computation, Nov 2010, Sendai, Japan. Institute
+   for Digital Enhancement of Cognitive Development,
+   Waseda University, pp.389-398, 2010.
+   &lt;https://halshs.archives-ouvertes.fr/halshs-00549764/fr&gt;
+
+2. Le logiciel TXM est un logiciel libre ; vous pouvez
+   le redistribuer et/ou le modifier suivant les termes
+   de la Licence publique générale GNU telle que publiée
+   par la Free Software Foundation, soit la version 2 de
+   cette License, soit une version ultérieure.
+
+3. Le logiciel TXM est distribué dans l&apos;espoir qu&apos;il sera
+   utile, mais sans aucune garantie, y compris mais non
+   de façon limitative les garanties implicites de
+   qualité marchande et de convenance à un usage
+   particulier. Consultez la version 2 et la version 3 de
+   la Licence publique générale GNU pour plus de détails.
+
+4. Vous devriez avoir reçu une copie de la Licence
+   publique générale GNU en accompagnement du logiciel
+   TXM ; si ce n&apos;est pas le cas, veuillez consulter la
+   page http://www.gnu.org/licenses/gpl-2.0.html.
+
+Fin de la licence utilisateur TXM
+
+----------------------------------------------------------------------------------------------------------------
+TXM User Agreement &lt;version française ci-dessus&gt;
+
+1. By using TXM, you agree to cite the TXM platform
+   reference article in your publications:
+
+   Serge Heiden. The TXM Platform: Building Open-Source
+   Textual Analysis Software Compatible with the TEI
+   Encoding Scheme. Ryo Otoguro, Kiyoshi Ishikawa,
+   Hiroshi Umemoto, Kei Yoshimoto and Yasunari Harada.
+   24th Pacific Asia Conference on Language, Information
+   and Computation, Nov 2010, Sendai, Japan. Institute
+   for Digital Enhancement of Cognitive Development,
+   Waseda University, pp.389-398, 2010.
+   &lt;https://halshs.archives-ouvertes.fr/halshs-00549764/fr&gt;
+
+2. The TXM platform is free software: you can
+   redistribute it and/or modify it under the terms of
+   the GNU General Public License as published by the
+   Free Software Foundation, either version 2 of the
+   License, or (at your option) any later version.
+
+3. The TXM platform is distributed in the hope that it
+   will be useful, but WITHOUT ANY WARRANTY; without
+   even the implied warranty of MERCHANTABILITY or
+   FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+   Public License for more details.
+
+4. You should have received a copy of the GNU General
+   Public License along with the TXM platform. If not,
+   see http://www.gnu.org/licenses/gpl-2.0.html.
+
+End of TXM User Agreement
+         </text>
+   </license>
+
+   <plugins>
+      <plugin id="com.ibm.icu"/>
+      <plugin id="javax.annotation"/>
+      <plugin id="javax.inject"/>
+      <plugin id="javax.xml"/>
+      <plugin id="org.apache.batik.css"/>
+      <plugin id="org.apache.batik.util"/>
+      <plugin id="org.apache.commons.jxpath"/>
+      <plugin id="org.apache.felix.gogo.command"/>
+      <plugin id="org.apache.felix.gogo.runtime"/>
+      <plugin id="org.apache.felix.gogo.shell"/>
+      <plugin id="org.apache.felix.scr"/>
+      <plugin id="org.apache.xerces"/>
+      <plugin id="org.apache.xml.resolver"/>
+      <plugin id="org.apache.xml.serializer"/>
+      <plugin id="org.eclipse.compare.core"/>
+      <plugin id="org.eclipse.compare.core.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.commands"/>
+      <plugin id="org.eclipse.core.commands.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.contenttype"/>
+      <plugin id="org.eclipse.core.contenttype.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.databinding"/>
+      <plugin id="org.eclipse.core.databinding.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.databinding.observable"/>
+      <plugin id="org.eclipse.core.databinding.observable.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.databinding.property"/>
+      <plugin id="org.eclipse.core.databinding.property.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.expressions"/>
+      <plugin id="org.eclipse.core.expressions.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filebuffers"/>
+      <plugin id="org.eclipse.core.filebuffers.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem"/>
+      <plugin id="org.eclipse.core.filesystem.aix.ppc.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.linux.x86.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.linux.x86_64.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.macosx.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.solaris.sparc.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.win32.x86.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.win32.x86_64.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.jobs"/>
+      <plugin id="org.eclipse.core.jobs.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net"/>
+      <plugin id="org.eclipse.core.net.linux.x86.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.core.net.linux.x86_64.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.win32.x86.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.win32.x86_64.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.resources"/>
+      <plugin id="org.eclipse.core.resources.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.runtime"/>
+      <plugin id="org.eclipse.core.runtime.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.variables"/>
+      <plugin id="org.eclipse.core.variables.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.commands"/>
+      <plugin id="org.eclipse.e4.core.commands.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.contexts"/>
+      <plugin id="org.eclipse.e4.core.contexts.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.di"/>
+      <plugin id="org.eclipse.e4.core.di.annotations"/>
+      <plugin id="org.eclipse.e4.core.di.annotations.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.di.extensions"/>
+      <plugin id="org.eclipse.e4.core.di.extensions.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.di.extensions.supplier"/>
+      <plugin id="org.eclipse.e4.core.di.extensions.supplier.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.di.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.services"/>
+      <plugin id="org.eclipse.e4.core.services.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.emf.xpath"/>
+      <plugin id="org.eclipse.e4.emf.xpath.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.bindings"/>
+      <plugin id="org.eclipse.e4.ui.bindings.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.css.core"/>
+      <plugin id="org.eclipse.e4.ui.css.core.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.css.swt"/>
+      <plugin id="org.eclipse.e4.ui.css.swt.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.css.swt.theme"/>
+      <plugin id="org.eclipse.e4.ui.css.swt.theme.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.di"/>
+      <plugin id="org.eclipse.e4.ui.di.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.model.workbench"/>
+      <plugin id="org.eclipse.e4.ui.model.workbench.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.services"/>
+      <plugin id="org.eclipse.e4.ui.services.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.swt.gtk" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.swt.gtk.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.widgets"/>
+      <plugin id="org.eclipse.e4.ui.widgets.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench"/>
+      <plugin id="org.eclipse.e4.ui.workbench.addons.swt"/>
+      <plugin id="org.eclipse.e4.ui.workbench.addons.swt.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.renderers.swt"/>
+      <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.cocoa" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.cocoa.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.swt"/>
+      <plugin id="org.eclipse.e4.ui.workbench.swt.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench3"/>
+      <plugin id="org.eclipse.e4.ui.workbench3.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ecf"/>
+      <plugin id="org.eclipse.ecf.filetransfer"/>
+      <plugin id="org.eclipse.ecf.identity"/>
+      <plugin id="org.eclipse.ecf.provider.filetransfer"/>
+      <plugin id="org.eclipse.ecf.provider.filetransfer.ssl" fragment="true"/>
+      <plugin id="org.eclipse.ecf.ssl" fragment="true"/>
+      <plugin id="org.eclipse.emf.common"/>
+      <plugin id="org.eclipse.emf.ecore"/>
+      <plugin id="org.eclipse.emf.ecore.change"/>
+      <plugin id="org.eclipse.emf.ecore.xmi"/>
+      <plugin id="org.eclipse.equinox.app"/>
+      <plugin id="org.eclipse.equinox.bidi"/>
+      <plugin id="org.eclipse.equinox.common"/>
+      <plugin id="org.eclipse.equinox.console"/>
+      <plugin id="org.eclipse.equinox.ds"/>
+      <plugin id="org.eclipse.equinox.event"/>
+      <plugin id="org.eclipse.equinox.frameworkadmin"/>
+      <plugin id="org.eclipse.equinox.frameworkadmin.equinox"/>
+      <plugin id="org.eclipse.equinox.frameworkadmin.equinox.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.frameworkadmin.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.artifact.repository"/>
+      <plugin id="org.eclipse.equinox.p2.artifact.repository.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.core"/>
+      <plugin id="org.eclipse.equinox.p2.core.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.director"/>
+      <plugin id="org.eclipse.equinox.p2.director.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.discovery"/>
+      <plugin id="org.eclipse.equinox.p2.discovery.compatibility"/>
+      <plugin id="org.eclipse.equinox.p2.discovery.compatibility.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.discovery.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.engine"/>
+      <plugin id="org.eclipse.equinox.p2.engine.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.garbagecollector"/>
+      <plugin id="org.eclipse.equinox.p2.garbagecollector.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.jarprocessor"/>
+      <plugin id="org.eclipse.equinox.p2.jarprocessor.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.metadata"/>
+      <plugin id="org.eclipse.equinox.p2.metadata.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.metadata.repository"/>
+      <plugin id="org.eclipse.equinox.p2.metadata.repository.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.operations"/>
+      <plugin id="org.eclipse.equinox.p2.operations.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.repository"/>
+      <plugin id="org.eclipse.equinox.p2.repository.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.touchpoint.eclipse"/>
+      <plugin id="org.eclipse.equinox.p2.touchpoint.eclipse.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.transport.ecf"/>
+      <plugin id="org.eclipse.equinox.p2.transport.ecf.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.ui"/>
+      <plugin id="org.eclipse.equinox.p2.ui.discovery"/>
+      <plugin id="org.eclipse.equinox.p2.ui.discovery.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.ui.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.ui.sdk"/>
+      <plugin id="org.eclipse.equinox.p2.ui.sdk.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.ui.sdk.scheduler"/>
+      <plugin id="org.eclipse.equinox.p2.ui.sdk.scheduler.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.updatechecker"/>
+      <plugin id="org.eclipse.equinox.p2.updatechecker.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.preferences"/>
+      <plugin id="org.eclipse.equinox.region" fragment="true"/>
+      <plugin id="org.eclipse.equinox.registry"/>
+      <plugin id="org.eclipse.equinox.security"/>
+      <plugin id="org.eclipse.equinox.security.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.equinox.security.macosx" fragment="true"/>
+      <plugin id="org.eclipse.equinox.security.ui"/>
+      <plugin id="org.eclipse.equinox.security.win32.x86" fragment="true"/>
+      <plugin id="org.eclipse.equinox.security.win32.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.equinox.simpleconfigurator"/>
+      <plugin id="org.eclipse.equinox.simpleconfigurator.manipulator"/>
+      <plugin id="org.eclipse.equinox.simpleconfigurator.manipulator.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.simpleconfigurator.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.supplement"/>
+      <plugin id="org.eclipse.equinox.transforms.hook" fragment="true"/>
+      <plugin id="org.eclipse.equinox.util"/>
+      <plugin id="org.eclipse.equinox.weaving.hook" fragment="true"/>
+      <plugin id="org.eclipse.help"/>
+      <plugin id="org.eclipse.help.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.jface"/>
+      <plugin id="org.eclipse.jface.databinding"/>
+      <plugin id="org.eclipse.jface.databinding.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.jface.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.jface.text"/>
+      <plugin id="org.eclipse.jface.text.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.osgi"/>
+      <plugin id="org.eclipse.osgi.compatibility.state" fragment="true"/>
+      <plugin id="org.eclipse.osgi.compatibility.state.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.osgi.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.osgi.services"/>
+      <plugin id="org.eclipse.osgi.services.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.osgi.util"/>
+      <plugin id="org.eclipse.osgi.util.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.pde.ds.lib"/>
+      <plugin id="org.eclipse.pde.ds.lib.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.platform"/>
+      <plugin id="org.eclipse.platform.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.swt"/>
+      <plugin id="org.eclipse.swt.cocoa.macosx.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.swt.gtk.linux.ppc64" fragment="true"/>
+      <plugin id="org.eclipse.swt.gtk.linux.ppc64le" fragment="true"/>
+      <plugin id="org.eclipse.swt.gtk.linux.x86" fragment="true"/>
+      <plugin id="org.eclipse.swt.gtk.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.swt.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.swt.win32.win32.x86" fragment="true"/>
+      <plugin id="org.eclipse.swt.win32.win32.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.text"/>
+      <plugin id="org.eclipse.text.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui"/>
+      <plugin id="org.eclipse.ui.browser"/>
+      <plugin id="org.eclipse.ui.browser.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.cocoa" fragment="true"/>
+      <plugin id="org.eclipse.ui.cocoa.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.console"/>
+      <plugin id="org.eclipse.ui.console.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.editors"/>
+      <plugin id="org.eclipse.ui.editors.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.forms"/>
+      <plugin id="org.eclipse.ui.forms.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.ide"/>
+      <plugin id="org.eclipse.ui.ide.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.intro"/>
+      <plugin id="org.eclipse.ui.intro.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.themes"/>
+      <plugin id="org.eclipse.ui.themes.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.views"/>
+      <plugin id="org.eclipse.ui.views.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.win32.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.workbench"/>
+      <plugin id="org.eclipse.ui.workbench.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.workbench.texteditor"/>
+      <plugin id="org.eclipse.ui.workbench.texteditor.nl_fr" fragment="true"/>
+      <plugin id="org.sat4j.core"/>
+      <plugin id="org.sat4j.pb"/>
+      <plugin id="org.tukaani.xz"/>
+      <plugin id="org.txm.annotation.core"/>
+      <plugin id="org.txm.core"/>
+      <plugin id="org.txm.groovy.core"/>
+      <plugin id="org.txm.libs.args4j"/>
+      <plugin id="org.txm.libs.batik"/>
+      <plugin id="org.txm.libs.colt"/>
+      <plugin id="org.txm.libs.cqp"/>
+      <plugin id="org.txm.libs.cqp.linux" fragment="true"/>
+      <plugin id="org.txm.libs.cqp.macosx" fragment="true"/>
+      <plugin id="org.txm.libs.cqp.win32" fragment="true"/>
+      <plugin id="org.txm.libs.groovy-all"/>
+      <plugin id="org.txm.libs.hsqldb"/>
+      <plugin id="org.txm.libs.itext"/>
+      <plugin id="org.txm.libs.msoffice"/>
+      <plugin id="org.txm.libs.office"/>
+      <plugin id="org.txm.libs.rserve"/>
+      <plugin id="org.txm.libs.saxon"/>
+      <plugin id="org.txm.rcp"/>
+      <plugin id="org.txm.rcp.about.fragment" fragment="true"/>
+      <plugin id="org.txm.rcp.p2.ui" fragment="true"/>
+      <plugin id="org.txm.searchengine.core"/>
+      <plugin id="org.txm.searchengine.cqp.core"/>
+      <plugin id="org.txm.statsengine.core"/>
+      <plugin id="org.txm.statsengine.r.core"/>
+      <plugin id="org.txm.statsengine.r.core.linux" fragment="true"/>
+      <plugin id="org.txm.statsengine.r.core.macosx" fragment="true"/>
+      <plugin id="org.txm.statsengine.r.core.win32" fragment="true"/>
+      <plugin id="org.txm.tokenizer.core"/>
+      <plugin id="org.txm.treetagger.core"/>
+      <plugin id="org.txm.treetagger.core.linux" fragment="true"/>
+      <plugin id="org.txm.treetagger.core.macosx" fragment="true"/>
+      <plugin id="org.txm.treetagger.core.models" fragment="true"/>
+      <plugin id="org.txm.treetagger.core.win32" fragment="true"/>
+      <plugin id="org.txm.utils"/>
+      <plugin id="org.txm.utils.core"/>
+      <plugin id="org.w3c.css.sac"/>
+   </plugins>
+
+   <features>
+      <feature id="org.txm.rcp.feature" installMode="root"/>
+      <feature id="org.txm.ahc.feature" installMode="root"/>
+      <feature id="org.txm.annotation.feature" installMode="root"/>
+      <feature id="org.txm.annotation.kr.feature" installMode="root"/>
+      <feature id="org.txm.ca.feature" installMode="root"/>
+      <feature id="org.txm.chartsengine.jfreechart.feature" installMode="root"/>
+      <feature id="org.txm.chartsengine.r.feature" installMode="root"/>
+      <feature id="org.txm.concordance.feature" installMode="root"/>
+      <feature id="org.txm.cooccurrence.feature" installMode="root"/>
+      <feature id="org.txm.core.feature" installMode="root"/>
+      <feature id="org.txm.edition.feature" installMode="root"/>
+      <feature id="org.txm.index.feature" installMode="root"/>
+      <feature id="org.txm.internalview.feature" installMode="root"/>
+      <feature id="org.txm.lexicaltable.feature" installMode="root"/>
+      <feature id="org.txm.partition.feature" installMode="root"/>
+      <feature id="org.txm.perl.feature" installMode="root"/>
+      <feature id="org.txm.progression.feature" installMode="root"/>
+      <feature id="org.txm.properties.feature" installMode="root"/>
+      <feature id="org.txm.referencer.feature" installMode="root"/>
+      <feature id="org.txm.searchengine.cqp.feature" installMode="root"/>
+      <feature id="org.txm.specificities.feature" installMode="root"/>
+      <feature id="org.txm.statsengine.r.feature" installMode="root"/>
+      <feature id="org.txm.treetagger.feature" installMode="root"/>
+      <feature id="org.txm.xmleditor.feature" installMode="root"/>
+      <feature id="org.eclipse.e4.rcp" installMode="root"/>
+      <feature id="org.eclipse.emf.common" installMode="root"/>
+      <feature id="org.eclipse.emf.ecore" installMode="root"/>
+      <feature id="org.eclipse.equinox.core.feature" installMode="root"/>
+      <feature id="org.eclipse.ecf.filetransfer.httpclient5.feature" installMode="root"/>
+      <feature id="org.eclipse.equinox.p2.core.feature" installMode="root"/>
+      <feature id="org.eclipse.ecf.core.ssl.feature" installMode="root"/>
+      <feature id="org.eclipse.ecf.filetransfer.ssl.feature" installMode="root"/>
+      <feature id="org.eclipse.equinox.p2.user.ui" installMode="root"/>
+      <feature id="org.eclipse.equinox.p2.extras.feature" installMode="root"/>
+      <feature id="org.eclipse.ecf.core.feature" installMode="root"/>
+      <feature id="org.eclipse.equinox.p2.rcp.feature" installMode="root"/>
+      <feature id="org.eclipse.ecf.filetransfer.feature" installMode="root"/>
+      <feature id="org.eclipse.justj.openjdk.hotspot.jre.full" installMode="root"/>
+      <feature id="org.eclipse.platform" installMode="root"/>
+      <feature id="org.eclipse.rcp" installMode="root"/>
+   </features>
+
+   <configurations>
+      <plugin id="org.apache.felix.scr" autoStart="true" startLevel="1" />
+      <plugin id="org.eclipse.core.runtime" autoStart="true" startLevel="0" />
+      <plugin id="org.eclipse.equinox.common" autoStart="true" startLevel="2" />
+      <plugin id="org.eclipse.equinox.event" autoStart="true" startLevel="2" />
+      <plugin id="org.eclipse.equinox.simpleconfigurator" autoStart="true" startLevel="1" />
+      <property name="osgi.instance.area" value="@noDefault" />
+   </configurations>
+
+   <preferencesInfo>
+      <targetfile overwrite="false"/>
+   </preferencesInfo>
+
+   <cssInfo>
+   </cssInfo>
+
+</product>
Index: TXM/trunk/org.txm.rcp.product/.settings/org.eclipse.core.resources.prefs
===================================================================
--- TXM/trunk/org.txm.rcp.product/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ TXM/trunk/org.txm.rcp.product/.settings/org.eclipse.core.resources.prefs	(revision 3618)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
Index: TXM/trunk/org.txm.rcp.product/.project
===================================================================
--- TXM/trunk/org.txm.rcp.product/.project	(revision 0)
+++ TXM/trunk/org.txm.rcp.product/.project	(revision 3618)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.rcp.product</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+	</buildSpec>
+	<natures>
+	</natures>
+</projectDescription>
Index: TXM/trunk/org.txm.rcp.product/plugin_customization.ini
===================================================================
--- TXM/trunk/org.txm.rcp.product/plugin_customization.ini	(revision 0)
+++ TXM/trunk/org.txm.rcp.product/plugin_customization.ini	(revision 3618)
@@ -0,0 +1 @@
+org.eclipse.ui/SHOW_PROGRESS_ON_STARTUP = true
